Page MenuHomePhabricator

[Parser] Suppress -Wempty-translation-unit if this is a header file
ClosedPublic

Authored by sammccall on Aug 11 2020, 3:07 PM.

Details

Summary

This is motivated by tooling (clangd, libclang etc) - headers without
declarations are legitimate even if they're not valid TUs.

The other use -x c-header cases (PCH/modules) are nonstandard anyway and this
warning doesn't seem necessary there either.

Diff Detail

Event Timeline

sammccall created this revision.Aug 11 2020, 3:07 PM
Herald added a project: Restricted Project. · View Herald TranscriptAug 11 2020, 3:07 PM
sammccall requested review of this revision.Aug 11 2020, 3:07 PM
kadircet accepted this revision.Aug 12 2020, 3:35 AM
This revision is now accepted and ready to land.Aug 12 2020, 3:35 AM
This revision was landed with ongoing or failed builds.Aug 13 2020, 12:44 AM
This revision was automatically updated to reflect the committed changes.